Skip to main content
GET
List All AI Agents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search_by
string | null

Field name to search by

search_value
string | null

Value to search for in the specified field

status
string | null

Filter by status

sort_by
string | null

Field to sort by

sort_order
enum<string> | null
default:asc

Sort order (asc or desc)

Available options:
asc,
desc
skip
integer
default:0

Number of records to skip

Required range: x >= 0
limit
integer
default:100

Maximum number of records to return

Required range: 1 <= x <= 100

Response

List of AI Agents retrieved successfully

id
string
orgId
string
name
string
imageUrl
string
mission
Mission · object | null
role
string
roleDescription
string
transcriber
Transcriber · object | null
intelligenceProvider
IntelligenceProvider · object | null
voice
Voice · object | null
status
string
timezone
string
createdBy
string
createdAt
string<date-time>
updatedBy
string
updatedAt
string<date-time>